import React, { useState } from 'react'
import Page from '@/layouts'
import { useModel } from '@/store'
import '@/assets/css/reset.less'
import '@/assets/css/iconfont.less'
import './index.less'

export default function GeRenXinXi (props) {

  const { user } = useModel('user')

  return (
    <Page>
      <view className='GeRenXinXi'>
        <view className='Form'>
          <view className='flex-h'>
            <text className='flex-item'>头像</text>
            <view className='UserIcon'>
              <image mode='aspectFill' src={user !== null ? user.avatarurl : null}></image>
            </view>
          </view>
          <view className='flex-h'>
            <text className='flex-item'>姓名</text>
            <text>{user !== null ? user.nickname : null}</text>
          </view>
          <view className='flex-h'>
            <text className='flex-item'>性别</text>
            <text>{user !== null ? user.gender - 0 === 1 ? '男' : user.sex - 0 === 2 ? '女' : null : null}</text>
          </view>
          <view className='flex-h'>
            <text className='flex-item'>联系电话</text>
            <text>{user !== null ? user.phone : null}</text>
          </view>
        </view>
        {/* <view className='Form'>
          <view className='flex-h'>
            <text className='flex-item'>身份</text>
            <text>业主</text>
          </view>
          <view className='flex-h'>
            <text className='flex-item'>联系电话</text>
            <text>13648041829</text>
          </view>
          <view className='flex-h'>
            <text>房产</text>
            <text className='flex-item'>南京市雨花台区安德门大姐56号凤翔山庄3区1栋3单元3楼309</text>
          </view>
        </view> */}
      </view>
    </Page>
  )
}
